<template>
	<view>
		<video :src="src" class="live-video"></video>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				src:'',
				id:0
			}
		},
		onLoad(e) {
			this.id = e.id
			this.getInfo()
		},
		methods: {
			getInfo(){
				this.$post({
					data:{
						do:'LiveInfo',
						data:{
							user_id:uni.getStorageSync('id'),
							chapter_id:this.id
						}
					}
				}).then(res=>{
					this.src = res.data.live.ll_url
				})
			}
		}
	}
</script>

<style>
.live-video{
	width: 100%;
}
</style>
